PMessageDigest Class Referenceabstract

`#include <cypher.h>`

Inheritance diagram for PMessageDigest:

## Classes

class | Result

## Public Member Functions

| PMessageDigest ()
| Create a new message digestor. More...
virtual void | Start ()=0
| Begin a Message Digest operation, initialising the object instance. More...
virtual void | Process (const void *dataBlock, PINDEX length)
virtual void | Process (const PString &str)
| Incorporate the specified data into the message digest. More...
virtual void | Process (const char *cstr)
| Incorporate the specified data into the message digest. More...
virtual void | Process (const PBYTEArray &data)
| Incorporate the specified data into the message digest. More...
virtual PString | CompleteDigest ()
| Complete the message digest and return the magic number result. More...
virtual void | CompleteDigest (Result &result)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

virtual void | InternalProcess (const void *dataBlock, PINDEX length)=0
virtual void | InternalCompleteDigest (Result &result)=0
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...

## Constructor & Destructor Documentation

PMessageDigest::PMessageDigest | ( |  | ) |

Create a new message digestor.

## Member Function Documentation

virtual PString PMessageDigest::CompleteDigest | ( |  | ) |

virtual

Complete the message digest and return the magic number result.

The parameterless form returns the MD5 code as a Base64 string.

Returns
  Base64 encoded MD5 code for the processed data.

virtual void PMessageDigest::CompleteDigest | ( | Result & | result | ) |

virtual

Parameters

  result | The resultant 128 bit MD5 code

virtual void PMessageDigest::InternalCompleteDigest | ( | Result & | result | ) |

protected pure virtual

Parameters

  result | The resultant 128 bit MD5 code

Implemented in PMessageDigest5.

virtual void PMessageDigest::InternalProcess | ( | const void * | dataBlock,
|  | PINDEX | length
| ) |  |

protected pure virtual

Parameters

  dataBlock | Pointer to data to be part of the MD5
  length | Length of the data block.

Implemented in PMessageDigest5.

virtual void PMessageDigest::Process | ( | const void * | dataBlock,
|  | PINDEX | length
| ) |  |

virtual

Parameters

  dataBlock | Pointer to data to be part of the MD5
  length | Length of the data block.

virtual void PMessageDigest::Process | ( | const PString & | str | ) |

virtual

Incorporate the specified data into the message digest.

Parameters

  str | String to be part of the MD5

virtual void PMessageDigest::Process | ( | const char * | cstr | ) |

virtual

Incorporate the specified data into the message digest.

Parameters

  cstr | C String to be part of the MD5

virtual void PMessageDigest::Process | ( | const PBYTEArray & | data | ) |

virtual

Incorporate the specified data into the message digest.

Parameters

  data | Data block to be part of the MD5

virtual void PMessageDigest::Start | ( |  | ) |

pure virtual

Begin a Message Digest operation, initialising the object instance.

Implemented in PMessageDigest5.

The documentation for this class was generated from the following file:

- cypher.h